com.independentsoft.exchange

## Enum ResponseType

- java.lang.Object
- - java.lang.Enum<ResponseType>
  - - com.independentsoft.exchange.ResponseType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResponseType>

      public enum ResponseType
      extends java.lang.Enum<ResponseType>

  Represents the type of recipient response that is received for a meeting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT` Accept.
    `DECLINE` Decline.
    `NO_RESPONSE_RECEIVED` NoResponseReceived.
    `NONE` None.
    `ORGANIZER` Organizer.
    `TENTATIVE` Tentative.
    `UNKNOWN` Unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResponseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ResponseType UNKNOWN

      Unknown.

    - #### ORGANIZER

          public static final ResponseType ORGANIZER

      Organizer.

    - #### TENTATIVE

          public static final ResponseType TENTATIVE

      Tentative.

    - #### ACCEPT

          public static final ResponseType ACCEPT

      Accept.

    - #### DECLINE

          public static final ResponseType DECLINE

      Decline.

    - #### NO_RESPONSE_RECEIVED

          public static final ResponseType NO_RESPONSE_RECEIVED

      NoResponseReceived.

    - #### NONE

          public static final ResponseType NONE

      None.

  - ### Method Detail

    - #### values

          public static ResponseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseType c : ResponseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null